Pier Angelo Vendrame pushed to branch base-browser-115.6.0esr-13.5-1 at The Tor Project / Applications / Tor Browser
Commits:
87e50941 by Pier Angelo Vendrame at 2024-01-15T18:30:54+01:00
fixup! Base Browser's .mozconfigs.
Bug 42337: Enable GeckoDriver for all desktop platforms
- - - - -
2aaaaab1 by Pier Angelo Vendrame at 2024-01-15T18:30:58+01:00
fixup! Base Browser's .mozconfigs.
Bug 42146: Use LLD on Linux.
This should allow us to restore debug symbols on Linux i686.
- - - - -
b6fdd885 by Tom Ritter at 2024-01-15T18:39:37+01:00
Bug 1873526: Refactor the restriction override list from a big if statement to a list r=KrisWright
Differential Revision: https://phabricator.services.mozilla.com/D198081
- - - - -
5 changed files:
- browser/config/mozconfigs/base-browser
- modules/libpref/Preferences.cpp
- mozconfig-linux-i686
- mozconfig-linux-x86_64
- mozconfig-linux-x86_64-dev
Changes:
=====================================
browser/config/mozconfigs/base-browser
=====================================
@@ -50,4 +50,7 @@ if test -z "$WASI_SYSROOT"; then
ac_add_options --without-wasm-sandboxed-libraries
fi
+# tor-browser#42337
+ac_add_options --enable-geckodriver
+
ac_add_options --with-relative-data-dir=BaseBrowser/Data/Browser
=====================================
modules/libpref/Preferences.cpp
=====================================
@@ -6024,7 +6024,8 @@ struct PrefListEntry {
// StaticPrefList.yml), a string pref, and it is NOT exempted in
// sDynamicPrefOverrideList
//
-// This behavior is codified in ShouldSanitizePreference() below
+// This behavior is codified in ShouldSanitizePreference() below.
+// Exclusions of preferences can be defined in sOverrideRestrictionsList[].
static const PrefListEntry sRestrictFromWebContentProcesses[] = {
// Remove prefs with user data
PREF_LIST_ENTRY("datareporting.policy."),
@@ -6073,6 +6074,15 @@ static const PrefListEntry sRestrictFromWebContentProcesses[] = {
PREF_LIST_ENTRY("toolkit.telemetry.previousBuildID"),
};
+// Allowlist for prefs and branches blocklisted in
+// sRestrictFromWebContentProcesses[], including prefs from
+// StaticPrefList.yaml and *.js, to let them pass.
+static const PrefListEntry sOverrideRestrictionsList[]{
+ PREF_LIST_ENTRY("services.settings.clock_skew_seconds"),
+ PREF_LIST_ENTRY("services.settings.last_update_seconds"),
+ PREF_LIST_ENTRY("services.settings.server"),
+};
+
// These prefs are dynamically-named (i.e. not specified in prefs.js or
// StaticPrefList) and would normally by blocklisted but we allow them through
// anyway, so this override list acts as an allowlist
@@ -6168,10 +6178,12 @@ static bool ShouldSanitizePreference(const Pref* const aPref) {
// pref through.
for (const auto& entry : sRestrictFromWebContentProcesses) {
if (strncmp(entry.mPrefBranch, prefName, entry.mLen) == 0) {
- const auto* p = prefName; // This avoids clang-format doing ugly things.
- return !(strncmp("services.settings.clock_skew_seconds", p, 36) == 0 ||
- strncmp("services.settings.last_update_seconds", p, 37) == 0 ||
- strncmp("services.settings.server", p, 24) == 0);
+ for (const auto& pasEnt : sOverrideRestrictionsList) {
+ if (strncmp(pasEnt.mPrefBranch, prefName, pasEnt.mLen) == 0) {
+ return false;
+ }
+ }
+ return true;
}
}
=====================================
mozconfig-linux-i686
=====================================
@@ -2,8 +2,11 @@
ac_add_options --target=i686-linux-gnu
-ac_add_options --enable-default-toolkit=cairo-gtk3
+# Moz switched to lld for all Linux targets in Bug 1839739.
+# Also, gold used not to work with debug symbols (tor-browser#42146).
+ac_add_options --enable-linker=lld
+
+ac_add_options --disable-strip
+ac_add_options --disable-install-strip
-# Bug 31448: ld.gold fails if we don't disable debug-symbols.
-# Also, we keep strip enabled.
-ac_add_options --disable-debug-symbols
+ac_add_options --enable-default-toolkit=cairo-gtk3
=====================================
mozconfig-linux-x86_64
=====================================
@@ -1,9 +1,9 @@
. $topsrcdir/browser/config/mozconfigs/base-browser
-ac_add_options --enable-default-toolkit=cairo-gtk3
+# Moz switched to lld for all Linux targets in Bug 1839739.
+ac_add_options --enable-linker=lld
ac_add_options --disable-strip
ac_add_options --disable-install-strip
-# We want to bundle an own geckodriver, so we can use it for QA and other work
-ac_add_options --enable-geckodriver
+ac_add_options --enable-default-toolkit=cairo-gtk3
=====================================
mozconfig-linux-x86_64-dev
=====================================
@@ -4,6 +4,9 @@
# It is only intended to be used when doing incremental Linux builds
# during development.
+# Moz switched to lld for all Linux targets in Bug 1839739.
+ac_add_options --enable-linker=lld
+
export MOZILLA_OFFICIAL=
ac_add_options --enable-default-toolkit=cairo-gtk3
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/compare/ae39cc…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/compare/ae39cc…
You're receiving this email because of your account on gitlab.torproject.org.
Pier Angelo Vendrame pushed to branch tor-browser-115.6.0esr-13.5-1 at The Tor Project / Applications / Tor Browser
Commits:
05d20cc1 by Pier Angelo Vendrame at 2024-01-15T09:46:08+01:00
dropme! Bug 40458: Implement .tor.onion aliases
Bug 42354: Upstreamed the ShouldSanitizePreference refactor
Drop this commit on the rebase.
- - - - -
d548b69e by Tom Ritter at 2024-01-15T09:54:34+01:00
Bug 1873526: Refactor the restriction override list from a big if statement to a list r=KrisWright
Differential Revision: https://phabricator.services.mozilla.com/D198081
- - - - -
5cbefa67 by guest475646844 at 2024-01-15T09:57:16+01:00
fixup! Bug 40458: Implement .tor.onion aliases
- - - - -
1 changed file:
- modules/libpref/Preferences.cpp
Changes:
=====================================
modules/libpref/Preferences.cpp
=====================================
@@ -6024,7 +6024,8 @@ struct PrefListEntry {
// StaticPrefList.yml), a string pref, and it is NOT exempted in
// sDynamicPrefOverrideList
//
-// This behavior is codified in ShouldSanitizePreference() below
+// This behavior is codified in ShouldSanitizePreference() below.
+// Exclusions of preferences can be defined in sOverrideRestrictionsList[].
static const PrefListEntry sRestrictFromWebContentProcesses[] = {
// Remove prefs with user data
PREF_LIST_ENTRY("datareporting.policy."),
@@ -6073,6 +6074,18 @@ static const PrefListEntry sRestrictFromWebContentProcesses[] = {
PREF_LIST_ENTRY("toolkit.telemetry.previousBuildID"),
};
+// Allowlist for prefs and branches blocklisted in
+// sRestrictFromWebContentProcesses[], including prefs from
+// StaticPrefList.yaml and *.js, to let them pass.
+static const PrefListEntry sOverrideRestrictionsList[]{
+ PREF_LIST_ENTRY("services.settings.clock_skew_seconds"),
+ PREF_LIST_ENTRY("services.settings.last_update_seconds"),
+ PREF_LIST_ENTRY("services.settings.server"),
+ // tor-browser#41165, tor-browser!765: leave this static pref in
+ // gSharedMap to prevent a crash in gpu process in debug builds.
+ PREF_LIST_ENTRY("browser.urlbar.onionRewrites.enabled"),
+};
+
// These prefs are dynamically-named (i.e. not specified in prefs.js or
// StaticPrefList) and would normally by blocklisted but we allow them through
// anyway, so this override list acts as an allowlist
@@ -6168,13 +6181,12 @@ static bool ShouldSanitizePreference(const Pref* const aPref) {
// pref through.
for (const auto& entry : sRestrictFromWebContentProcesses) {
if (strncmp(entry.mPrefBranch, prefName, entry.mLen) == 0) {
- const auto* p = prefName; // This avoids clang-format doing ugly things.
- return !(strncmp("services.settings.clock_skew_seconds", p, 36) == 0 ||
- strncmp("services.settings.last_update_seconds", p, 37) == 0 ||
- strncmp("services.settings.server", p, 24) == 0 ||
- // Prevent a crash in debug builds. Please refer to
- // StaticPrefList.yaml, tor-browser#41165 and tor-browser!765 for details.
- strncmp("browser.urlbar.onionRewrites.enabled", p, 36) == 0);
+ for (const auto& pasEnt : sOverrideRestrictionsList) {
+ if (strncmp(pasEnt.mPrefBranch, prefName, pasEnt.mLen) == 0) {
+ return false;
+ }
+ }
+ return true;
}
}
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/compare/0c55a3…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/compare/0c55a3…
You're receiving this email because of your account on gitlab.torproject.org.
boklm pushed to branch main at The Tor Project / Applications / torbrowser-launcher
Commits:
899ea231 by Nicolas Vigier at 2024-01-12T11:13:05+01:00
Add script to tag new release (#13)
- - - - -
1 changed file:
- + git-tag_release.sh
Changes:
=====================================
git-tag_release.sh
=====================================
@@ -0,0 +1,6 @@
+#!/bin/sh
+# Make a signed git tag for the current commit, for a new release
+set -e
+VERSION=$(cat share/torbrowser-launcher/version)
+git tag -s --message="torbrowser-launcher version $VERSION" v$VERSION
+echo "Created git tag v$VERSION"
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/commit…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/commit…
You're receiving this email because of your account on gitlab.torproject.org.
boklm pushed to branch main at The Tor Project / Applications / torbrowser-launcher
Commits:
e4bb9790 by Nicolas Vigier at 2024-01-11T20:00:16+01:00
Version bump to 0.3.7 and update changelog
- - - - -
3 changed files:
- CHANGELOG.md
- share/metainfo/org.torproject.torbrowser-launcher.metainfo.xml
- share/torbrowser-launcher/version
Changes:
=====================================
CHANGELOG.md
=====================================
@@ -1,5 +1,19 @@
# Tor Browser Launcher Changelog
+## 0.3.7
+
+* Use Tor Browser 13.0 new filenames
+* Adapt AppArmor profile for Tor Browser 13.0
+* Set the TORBROWSER_LAUNCHER environment variable to make it easier
+ for Tor Browser to see that it is being run by torbrowser-launcher
+* Use a proper rDNS ID in AppStream metainfo
+* Update to latest version of the Tor Browser OpenPGP signing key
+* Remove some unused code to fix a warning
+* Add dbus-glib to the rpm package dependencies
+* Maintenance of torbrowser-launcher has been handed to Tor Project,
+ and the git repository moved to
+ https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/
+
## 0.3.6
* Tor Browser 12.0 no longer uses locales, so the download URL and local path have changed
=====================================
share/metainfo/org.torproject.torbrowser-launcher.metainfo.xml
=====================================
@@ -31,6 +31,7 @@
<update_contact>boklm(a)torproject.org</update_contact>
<content_rating type="oars-1.1"/>
<releases>
+ <release version="0.3.7" date="2024-01-12"/>
<release version="0.3.6" date="2022-12-13"/>
</releases>
</component>
=====================================
share/torbrowser-launcher/version
=====================================
@@ -1 +1 @@
-0.3.6
+0.3.7
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/commit…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/commit…
You're receiving this email because of your account on gitlab.torproject.org.
boklm pushed to branch main at The Tor Project / Applications / torbrowser-launcher
Commits:
10a13e3f by Nicolas Vigier at 2024-01-11T13:33:31+01:00
Remove gnupg_import_ok_pattern from torbrowser_launcher/common.py (#12)
According to https://github.com/torproject/torbrowser-launcher/pull/716
the definition of `gnupg_import_ok_pattern` in
`torbrowser_launcher/common.py` is causing some warnings.
But it looks like it is not being used since
83fa1d38c44f16a76dd98407e321b9cc9b5b5743, so we can remove it.
Thanks to meator for reporting the issue.
- - - - -
1 changed file:
- torbrowser_launcher/common.py
Changes:
=====================================
torbrowser_launcher/common.py
=====================================
@@ -41,15 +41,6 @@ SHARE = os.getenv("TBL_SHARE", sys.prefix + "/share") + "/torbrowser-launcher"
gettext.install("torbrowser-launcher")
-# We're looking for output which:
-#
-# 1. The first portion must be `[GNUPG:] IMPORT_OK`
-# 2. The second must be an integer between [0, 15], inclusive
-# 3. The third must be an uppercased hex-encoded 160-bit fingerprint
-gnupg_import_ok_pattern = re.compile(
- b"(\[GNUPG\:\]) (IMPORT_OK) ([0-9]|[1]?[0-5]) ([A-F0-9]{40})"
-)
-
class Common(object):
def __init__(self, tbl_version):
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/commit…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/commit…
You're receiving this email because of your account on gitlab.torproject.org.
ma1 pushed to branch firefox-android-115.2.1-13.0-1 at The Tor Project / Applications / firefox-android
Commits:
753c937e by hackademix at 2024-01-11T16:53:03+01:00
fixup! Bug 1823316 - Use 'Snackbar' themed Dialog to notify on making app full-screen
Fix tor-browser#42355 backporting regression.
- - - - -
0cd27910 by t-p-white at 2024-01-11T16:53:04+01:00
Bug 1864549 - Fix for IllegalStateException in full screen notification dialog
- - - - -
a7cafd1b by Alexandru2909 at 2024-01-11T16:53:04+01:00
Bug 1810776 - Move DismissedTabBackground into its own file
- - - - -
e40a62ad by DreVla at 2024-01-11T16:53:05+01:00
Bug 1828493 - Apply purple overlay on list item when in multi-select
When having the list layout for tabs tray and entering multi-select
mode, the selected list items should have a purple non opaque overlay
on the thumbnail, as it was before in the XML implementation.
- - - - -
b4e5ab52 by Alexandru2909 at 2024-01-11T16:53:05+01:00
Bug 1810776 - Add SwipeToDismiss to composed tabs tray
- - - - -
20a18e5b by Noah Bond at 2024-01-11T16:53:05+01:00
Bug 1815579 - Improve performance of image loading in tab items
- - - - -
a07ec0d9 by Noah Bond at 2024-01-11T16:53:06+01:00
Bug 1840896 - Remove `rememberSaveable` since bitmaps are not serializable
- - - - -
a860d4a3 by Noah Bond at 2024-01-11T16:53:06+01:00
Bug 1844967 - Improve performance of tab thumbnail loading in Compose
- - - - -
0481dabe by Matthew Tighe at 2024-01-11T16:53:07+01:00
Bug 1721904 - update thumbnail caching on app open
- - - - -
3400c111 by hackademix at 2024-01-11T16:53:07+01:00
Bug 42191: Temporary StrictMode relaxation to clear the thumbnail cache.
- - - - -
30 changed files:
- android-components/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt
- android-components/components/browser/state/src/main/java/mozilla/components/browser/state/reducer/ContentStateReducer.kt
- android-components/components/browser/tabstray/src/main/java/mozilla/components/browser/tabstray/TabViewHolder.kt
- android-components/components/browser/tabstray/src/test/java/mozilla/components/browser/tabstray/DefaultTabViewHolderTest.kt
- android-components/components/browser/thumbnails/src/main/java/mozilla/components/browser/thumbnails/ThumbnailsMiddleware.kt
- android-components/components/browser/thumbnails/src/main/java/mozilla/components/browser/thumbnails/storage/ThumbnailStorage.kt
- android-components/components/browser/thumbnails/src/main/java/mozilla/components/browser/thumbnails/utils/ThumbnailDiskCache.kt
- android-components/components/browser/thumbnails/src/test/java/mozilla/components/browser/thumbnails/ThumbnailsMiddlewareTest.kt
- android-components/components/browser/thumbnails/src/test/java/mozilla/components/browser/thumbnails/loader/ThumbnailLoaderTest.kt
- android-components/components/browser/thumbnails/src/test/java/mozilla/components/browser/thumbnails/storage/ThumbnailStorageTest.kt
- android-components/components/browser/thumbnails/src/test/java/mozilla/components/browser/thumbnails/utils/ThumbnailDiskCacheTest.kt
- android-components/components/concept/base/src/main/java/mozilla/components/concept/base/images/ImageRequest.kt
- android-components/components/feature/prompts/src/main/java/mozilla/components/feature/prompts/dialog/FullScreenNotificationDialog.kt
- fenix/app/src/main/java/org/mozilla/fenix/browser/BaseBrowserFragment.kt
- fenix/app/src/main/java/org/mozilla/fenix/browser/TabPreview.kt
- fenix/app/src/main/java/org/mozilla/fenix/browser/ToolbarGestureHandler.kt
- + fenix/app/src/main/java/org/mozilla/fenix/compose/SwipeToDismiss.kt
- + fenix/app/src/main/java/org/mozilla/fenix/compose/TabThumbnail.kt
- fenix/app/src/main/java/org/mozilla/fenix/compose/ThumbnailCard.kt
- + fenix/app/src/main/java/org/mozilla/fenix/compose/ThumbnailImage.kt
- fenix/app/src/main/java/org/mozilla/fenix/compose/list/ListItem.kt
- + fenix/app/src/main/java/org/mozilla/fenix/compose/tabstray/DismissedTabBackground.kt
- fenix/app/src/main/java/org/mozilla/fenix/compose/tabstray/TabGridItem.kt
- fenix/app/src/main/java/org/mozilla/fenix/compose/tabstray/TabListItem.kt
- fenix/app/src/main/java/org/mozilla/fenix/home/collections/CollectionItem.kt
- fenix/app/src/main/java/org/mozilla/fenix/home/recentsyncedtabs/view/RecentSyncedTab.kt
- fenix/app/src/main/java/org/mozilla/fenix/home/recentsyncedtabs/view/RecentSyncedTabViewHolder.kt
- fenix/app/src/main/java/org/mozilla/fenix/home/recenttabs/view/RecentTabViewHolder.kt
- fenix/app/src/main/java/org/mozilla/fenix/home/recenttabs/view/RecentTabs.kt
- fenix/app/src/main/java/org/mozilla/fenix/tabstray/TabsTray.kt
The diff was not included because it is too large.
View it on GitLab: https://gitlab.torproject.org/tpo/applications/firefox-android/-/compare/da…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/firefox-android/-/compare/da…
You're receiving this email because of your account on gitlab.torproject.org.
Pier Angelo Vendrame pushed to branch tor-browser-115.6.0esr-13.5-1 at The Tor Project / Applications / Tor Browser
Commits:
0c55a36a by Pier Angelo Vendrame at 2024-01-09T18:39:07+01:00
fixup! Bug 40597: Implement TorSettings module
Bug 42348: Do not use TorSettings.defaultSettings as a starting point
for the settings object we receive from Moat.
Also, removed the TODO about proxy and firewall, since Moat is not
going to send them for now, but throw when we do not receive bridge
settings.
- - - - -
1 changed file:
- toolkit/modules/Moat.sys.mjs
Changes:
=====================================
toolkit/modules/Moat.sys.mjs
=====================================
@@ -2,10 +2,7 @@
* License, v. 2.0. If a copy of the MPL was not distributed with this
* file, You can obtain one at http://mozilla.org/MPL/2.0/. */
-import {
- TorSettings,
- TorBridgeSource,
-} from "resource://gre/modules/TorSettings.sys.mjs";
+import { TorBridgeSource } from "resource://gre/modules/TorSettings.sys.mjs";
const lazy = {};
@@ -204,68 +201,52 @@ export class MoatRPC {
// Convert received settings object to format used by TorSettings module
// In the event of error, just return null
#fixupSettings(settings) {
- try {
- let retval = TorSettings.defaultSettings();
- if ("bridges" in settings) {
- retval.bridges.enabled = true;
- switch (settings.bridges.source) {
- case "builtin":
- retval.bridges.source = TorBridgeSource.BuiltIn;
- retval.bridges.builtin_type = settings.bridges.type;
- // Tor Browser will periodically update the built-in bridge strings list using the
- // circumvention_builtin() function, so we can ignore the bridge strings we have received here;
- // BridgeDB only returns a subset of the available built-in bridges through the circumvention_settings()
- // function which is fine for our 3rd parties, but we're better off ignoring them in Tor Browser, otherwise
- // we get in a weird situation of needing to update our built-in bridges in a piece-meal fashion which
- // seems over-complicated/error-prone
- break;
- case "bridgedb":
- retval.bridges.source = TorBridgeSource.BridgeDB;
- if (settings.bridges.bridge_strings) {
- retval.bridges.bridge_strings = settings.bridges.bridge_strings;
- retval.bridges.disabled_strings = [];
- } else {
- throw new Error(
- "MoatRPC::_fixupSettings(): Received no bridge-strings for BridgeDB bridge source"
- );
- }
- break;
- default:
- throw new Error(
- `MoatRPC::_fixupSettings(): Unexpected bridge source '${settings.bridges.source}'`
- );
+ if (!("bridges" in settings)) {
+ throw new Error("Expected to find `bridges` in the settings object.");
+ }
+ const retval = {
+ bridges: {
+ enabled: true,
+ },
+ };
+ switch (settings.bridges.source) {
+ case "builtin":
+ retval.bridges.source = TorBridgeSource.BuiltIn;
+ retval.bridges.builtin_type = settings.bridges.type;
+ // TorSettings will ignore strings for built-in bridges, and use the
+ // ones it already knows, instead.
+ break;
+ case "bridgedb":
+ retval.bridges.source = TorBridgeSource.BridgeDB;
+ if (settings.bridges.bridge_strings) {
+ retval.bridges.bridge_strings = settings.bridges.bridge_strings;
+ } else {
+ throw new Error(
+ "Received no bridge-strings for BridgeDB bridge source"
+ );
}
- }
- if ("proxy" in settings) {
- // TODO: populate proxy settings
- }
- if ("firewall" in settings) {
- // TODO: populate firewall settings
- }
- return retval;
- } catch (ex) {
- console.log(ex.message);
- return null;
+ break;
+ default:
+ throw new Error(
+ `Unexpected bridge source '${settings.bridges.source}'`
+ );
}
+ return retval;
}
// Converts a list of settings objects received from BridgeDB to a list of settings objects
// understood by the TorSettings module
// In the event of error, returns and empty list
#fixupSettingsList(settingsList) {
- try {
- let retval = [];
- for (let settings of settingsList) {
- settings = this.#fixupSettings(settings);
- if (settings != null) {
- retval.push(settings);
- }
+ const retval = [];
+ for (const settings of settingsList) {
+ try {
+ retval.push(this.#fixupSettings(settings));
+ } catch (ex) {
+ console.log(ex);
}
- return retval;
- } catch (ex) {
- console.log(ex.message);
- return [];
}
+ return retval;
}
// Request tor settings for the user optionally based on their location (derived
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/0c55a36…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/0c55a36…
You're receiving this email because of your account on gitlab.torproject.org.